Name:           maven-enforcer
Version:        1.4.1
Release:        11
Summary:        A build rule execution framework
License:        ASL 2.0
URL:            http://maven.apache.org/enforcer
BuildArch:      noarch
Source0:        https://archive.apache.org/dist/maven/enforcer/enforcer-%{version}-source-release.zip
BuildRequires:  maven-local mvn(com.google.code.findbugs:jsr305) mvn(commons-lang:commons-lang)
BuildRequires:  mvn(org.apache.maven:maven-artifact) mvn(org.apache.maven:maven-compat) mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:) mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin) mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.apache.maven.shared:maven-artifact-transfer)
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters) mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.beanshell:bsh) mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-i18n) mvn(org.codehaus.plexus:plexus-utils)
Patch0001:      0001-Port-to-Maven-3-API.patch

%description
Enforcer is a build rule execution framework.

%package        help
Summary:        Documentation formaven-enforcer
Provides:       maven-enforcer-javadoc = %{version}-%{release}
Obsoletes:      maven-enforcer-javadoc < %{version}-%{release}

%description    help
Documentation for maven-enforcer.

%package        api
Summary:        Enforcer API

%description    api
maven-enforcer-api provides the generic interfaces needed
to implement custom rules for the maven-enforcer-plugin.

%package        rules
Summary:        Enforcer rules

%description    rules
maven-enforcer-rules contains the standard Enforcer Rules.

%package        plugin
Summary:        Enforcer plugin

%description    plugin
The Loving Iron Fist of Maven.

%prep
%autosetup -n enforcer-%{version} -p1
%pom_xpath_inject pom:build/pom:pluginManagement/pom:plugins "
    <plugin>
      <artifactId>maven-enforcer-plugin</artifactId>
      <version>SYSTEM</version>
    </plugin>"
sed -e "s|<artifactId>plexus-maven-plugin</artifactId>|<artifactId>plexus-component-metadata</artifactId>|" \
    -e "s|<goal>descriptor</goal>|<goal>generate-metadata</goal>|" -i enforcer-{api,rules}/pom.xml
%build
export MAVEN_OPTS="-Xmx512m -XX:MaxPermSize=128m"
%mvn_build -s -f
%install
%mvn_install

%files -f .mfiles-enforcer
%doc LICENSE NOTICE

%files api -f .mfiles-enforcer-api

%files rules -f .mfiles-enforcer-rules

%files plugin -f .mfiles-maven-enforcer-plugin

%files help -f .mfiles-javadoc

%changelog
* Thu Dec 12 2019 Ling Yang <lingyang2@huawei.com> - 1.4.1-11
- Package init
